Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 668858

Summary: net-libs/libssh2-1.8.0-r2 mv: cannot stat '...' No such file or directory
Product: Gentoo/Alt Reporter: Olivier Huber <oli.huber>
Component: Prefix SupportAssignee: Gentoo Prefix <prefix>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build log

Description Olivier Huber 2018-10-17 09:46:29 UTC
Created attachment 551638 [details]
build log

from build.log:

mv: cannot stat '/local/tmp/huber/prefix/var/tmp/portage/net-libs/libssh2-1.8.0-r2/image//usr/share/doc/libssh2/*': No such file or directory
 * ERROR: net-libs/libssh2-1.8.0-r2::gentoo failed (install phase):
 *   (no error message)
 * 
 * Call stack:
 *     ebuild.sh, line  124:  Called src_install
 *   environment, line 3311:  Called cmake-multilib_src_install
 *   environment, line  726:  Called multilib-minimal_src_install
 *   environment, line 2536:  Called multilib_src_install_all
 *   environment, line 2963:  Called die
 * The specific snippet of code:
 *       mv "${D}"/usr/share/doc/${PN}/* "${D}"/usr/share/doc/${PF}/ || die;

See also bug 667840 for another bug reporting regarding the install phase. However, the issue here is different.

Replacing D with ED fixes the prefix issue:
--- libssh2-1.8.0-r2.ebuild     2018-10-05 20:39:27.000000000 +0200
+++ libssh2-1.8.0-r2.ebuild     2018-10-16 15:34:48.185383329 +0200
@@ -53,7 +53,7 @@
 
 multilib_src_install_all() {
        einstalldocs
-       find "${D}" -name '*.la' -delete || die
-       mv "${D}"/usr/share/doc/${PN}/* "${D}"/usr/share/doc/${PF}/ || die
-       rm -r "${D}"/usr/share/doc/${PN}/ || die
+       find "${ED}" -name '*.la' -delete || die
+       mv "${ED}"/usr/share/doc/${PN}/* "${ED}"/usr/share/doc/${PF}/ || die
+       rm -r "${ED}"/usr/share/doc/${PN}/ || die
 }

$ emerge --info '=net-libs/libssh2-1.8.0-r2::gentoo'                                                                                                                                                                                                     
Portage 2.3.51 (python 3.6.6-final-0, default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+, gcc-8.2.0, glibc-2.27-r6, 4.4.155-68-default x86_64)                                                                                                                           
=================================================================                                                                                                                                                                                                             
                         System Settings                                                                                                                                                                                                                                      
=================================================================
System uname: Linux-4.4.155-68-default-x86_64-Intel-R-_Core-TM-_i5-6500_CPU_@_3.20GHz-with-SuSE-42.3-x86_64                                                                                                                                                                   
KiB Mem:     8053104 total,    743668 free
KiB Swap:    8384508 total,   7000792 free
Timestamp of repository gentoo: Wed, 17 Oct 2018 08:30:01 +0000
Head commit of repository gentoo: d1de5745b540daf1149d9fd695578d2dea5e60ae
Timestamp of repository science: Wed, 17 Oct 2018 08:04:04 +0000
Head commit of repository science: c8a74e8923c56c80469a65e584493902f9c640da

sh bash 4.4_p23
ld GNU ld (Gentoo 2.31.1 p3) 2.31.1
app-shells/bash:          4.4_p23::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.6::gentoo, 3.7.0::gentoo
dev-util/cmake:           3.12.3::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.69-r4::gentoo
sys-devel/automake:       1.16.1-r1::gentoo
sys-devel/binutils:       2.31.1-r1::gentoo
sys-devel/gcc:            8.2.0-r3::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.18::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r6::gentoo
Repositories:

gentoo
    location: /scratch/huber/usr_portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts: 
    sync-rsync-verify-max-age: 24

localrepo
    location: /local/tmp/huber/prefix/usr/local/portage
    masters: gentoo

science
    location: /local/tmp/huber/prefix/var/db/repos/science
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/science.git
    masters: gentoo

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /local/tmp/huber/prefix/etc/gentoo-release"
CXXFLAGS="-O2 -pipe -O2 -pipe -march=native"
DISTDIR="/local/tmp/huber/prefix/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles force-prefix merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sfperms strict unknown-features-warn unmerge-logs unmerge-orphans unprivileged xattr"
FFLAGS="-O2 -pipe -O2 -pipe -march=native"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf-8"
LC_ALL="en_US.utf-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/local/tmp/huber/prefix/usr/portage/packages"
PORTAGE_CONFIGROOT="/local/tmp/huber/prefix/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/local/tmp/huber/prefix/var/tmp"
USE="acl amd64 berkdb bzip2 caps cli crypt cxx dri fortran gdbm iconv ipv6 libtirpc lzma ncurses nls nptl openmp pcre png prefix python readline seccomp sqlite ssl stunnel tcpd threads tiff tools unicode utils vim-syntax xattr xkb zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 aes avx avx2 f16c fma3 pclmul popcnt sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="BPF X86" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6 python3_7" RUBY_TARGETS="ruby23" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

$ emerge -pqv '=net-libs/libssh2-1.8.0-r2::gentoo'
[ebuild   R   ] net-libs/libssh2-1.8.0-r2 [1.8.0-r2] USE="zlib -gcrypt -libressl -mbedtls"
Comment 1 Larry the Git Cow gentoo-dev 2018-10-19 05:55:02 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9696ec756b59edb614660e62ddacc99c32a4d278

commit 9696ec756b59edb614660e62ddacc99c32a4d278
Author:     Fabian Groffen <grobian@gentoo.org>
AuthorDate: 2018-10-19 05:54:40 +0000
Commit:     Fabian Groffen <grobian@gentoo.org>
CommitDate: 2018-10-19 05:54:40 +0000

    net-libs/libssh2: fix Prefix install, thanks Olivier Huber
    
    Closes: https://bugs.gentoo.org/668858
    Signed-off-by: Fabian Groffen <grobian@gentoo.org>
    Package-Manager: Portage-2.3.49, Repoman-2.3.11

 net-libs/libssh2/libssh2-1.8.0-r2.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)